- Qt 6.10
- Qt State Machine
- QML Types
- QAbstractState
- Qt 6.10.2 Reference Documentation

# QAbstractState QML Type

The QAbstractState type is the base type of States of a StateMachine. More...

Import Statement: | `import QtQml.StateMachine 6.10`
Inherited By: | FinalState, HistoryState, and State

- List of all members, including inherited members

## Properties

- active : bool

## Signals

- entered()
- exited()

## Detailed Description

Do not use QAbstractState directly; use State, FinalState or StateMachine instead.

See also StateMachine and State.

## Property Documentation

active : bool `[read-only]`

The active property of this state. A state is active between entered() and exited() signals. This property is readonly.

See also entered and exited.

## Signal Documentation

entered()

This signal is emitted when the State becomes active.

Note: The corresponding handler is `onEntered`.

See also active and exited.

exited()

This signal is emitted when the State becomes inactive.

Note: The corresponding handler is `onExited`.

See also active and entered.